petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatMultEqual

Compares matrix-vector products of two matrices.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMultEqual(Mat A,Mat B,PetscInt n,PetscBool  *flg)

Collective on Mat

### Input Parameters

| A | - the first matrix
| B | - the second matrix

n -number of random vectors to be tested

### Output Parameter

flg -PETSC_TRUE if the products are equal; PETSC_FALSE otherwise.

### Level

intermediate

### Location

src/mat/utils/multequal.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages